## CORBA Event Interface IRemoteLanguageEvents

SAS language processing events from remote submits.

### Definition

CORBA Module SASEvents

### IRemoteLanguageEvents Description

This event interface conveys progress and status information for statements that are submitted remotely to CONNECT servers through a workspace server. The event interface is implemented by the LanguageService component client and functions as a callback facility to deliver notifications from the server to the client. You can implement these event callback methods to receive feedback about the status of the remote executing program.

CORBA Definitions
method RemoteProcStart | SAS language remote procedure start event
method RemoteProcComplete | SAS language remote procedure complete event
method RemoteDatastepStart | SAS language remote DATA step start event
method RemoteDatastepComplete | SAS language remote DATA step complete event
method RemoteStepError | SAS language remote step error event
method RemoteGlobalstmtComplete | SAS language remote global statement complete event
method RemoteGlobalstmtError | SAS language remote global statement error event

Java Classes
IRemoteLanguageEventsHelper | Used to manipulate the IRemoteLanguageEvents type
IRemoteLanguageEventsHolder | Used to process the IRemoteLanguageEvents type as an out parameter

Java Interfaces
IRemoteLanguageEvents | SAS language processing events from remote submits.

Java Interface IRemoteLanguageEvents

SAS language processing events from remote submits.

Package com.sas.iom.SASEvents

IRemoteLanguageEvents Description
This event interface conveys progress and status information for statements that are submitted remotely to CONNECT servers through a workspace server. The event interface is implemented by the LanguageService component client and functions as a callback facility to deliver notifications from the server to the client. You can implement these event callback methods to receive feedback about the status of the remote executing program.

`public interface IRemoteLanguageEvents
extends org.omg.CORBA.Object`

Method Summary

void | RemoteProcStart ( java.lang.String remoteid , java.lang.String procname ) throws ( GenericError ); SAS language remote procedure start event
void | RemoteProcComplete ( java.lang.String remoteid , java.lang.String procname ) throws ( GenericError ); SAS language remote procedure complete event
void | RemoteDatastepStart ( java.lang.String remoteid ) throws ( GenericError ); SAS language remote DATA step start event
void | RemoteDatastepComplete ( java.lang.String remoteid ) throws ( GenericError ); SAS language remote DATA step complete event
void | RemoteStepError ( java.lang.String remoteid ) throws ( GenericError ); SAS language remote step error event
void | RemoteGlobalstmtComplete ( java.lang.String remoteid , java.lang.String stmt ) throws ( GenericError ); SAS language remote global statement complete event
void | RemoteGlobalstmtError ( java.lang.String remoteid , java.lang.String stmt ) throws ( GenericError ); SAS language remote global statement error event

Java Class IRemoteLanguageEventsHelper

public class IRemoteLanguageEventsHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IRemoteLanguageEvents type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IRemoteLanguageEventsHelper

Java Class IRemoteLanguageEventsHolder

public class IRemoteLanguageEventsHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IRemoteLanguageEvents type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IRemoteLanguageEventsHolder

CORBA Method RemoteProcStart

SAS language remote procedure start event

Description
Signifies that the remote procedure identified by the "procname" and "remoteid" parameter has begun execution.

Usage

Java Method RemoteProcStart

`void` RemoteProcStart (

        java.lang.String remoteid ,
        java.lang.String procname
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String | The id associated with the remote CONNECT session.
procname | in | java.lang.String | The name of the procedure that has begun execution.

Example

CORBA Method RemoteProcComplete

SAS language remote procedure complete event

Description
Signifies that the remote procedure identified by the "procname" and "remoteid" parameter has completed execution.

Usage

Java Method RemoteProcComplete

`void` RemoteProcComplete (

        java.lang.String remoteid ,
        java.lang.String procname
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String | The id associated with the remote CONNECT session.
procname | in | java.lang.String | The name of the remote procedure that has completed execution.

Example

CORBA Method RemoteDatastepStart

SAS language remote DATA step start event

Description
Signifies that the remote DATA step identified by the "procname" and "remoteid" parameter has started execution.

Usage

Java Method RemoteDatastepStart

`void` RemoteDatastepStart (

        java.lang.String remoteid
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String |

Example

CORBA Method RemoteDatastepComplete

SAS language remote DATA step complete event

Description
Signifies that the remote DATA step identified by the "procname" and "remoteid" parameter has completed execution.

Usage

Java Method RemoteDatastepComplete

`void` RemoteDatastepComplete (

        java.lang.String remoteid
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String |

Example

CORBA Method RemoteStepError

SAS language remote step error event

Description
Signifies that an error has occurred for a remote step.

Usage

Java Method RemoteStepError

`void` RemoteStepError (

        java.lang.String remoteid
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String |

Example

CORBA Method RemoteGlobalstmtComplete

SAS language remote global statement complete event

Description
Signifies that the remote global statement identified by the "stmt" name and "remoteid" parameter has completed execution.

Usage

Java Method RemoteGlobalstmtComplete

`void` RemoteGlobalstmtComplete (

        java.lang.String remoteid ,
        java.lang.String stmt
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String |
stmt | in | java.lang.String | The name of the global statement that has completed execution.

Example

CORBA Method RemoteGlobalstmtError

SAS language remote global statement error event

Description
Signifies that an error has occurred for the remote global statement identified by the "stmt" name and "remoteid" parameter.

Usage

Java Method RemoteGlobalstmtError

`void` RemoteGlobalstmtError (

        java.lang.String remoteid ,
        java.lang.String stmt
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
remoteid | in | java.lang.String |
stmt | in | java.lang.String | The name of the global statement that has completed execution.

Example